Create scheduled sync job
curl --request POST \
--url https://api.example.com/api/core/data_sync/{use_case_id}/schedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"job_name": "<string>",
"target_uri": "<string>",
"body": {},
"selected_days": [
"<string>"
],
"hour": 123,
"minute": 123,
"timezone": "<string>"
}
'import requests
url = "https://api.example.com/api/core/data_sync/{use_case_id}/schedule"
payload = {
"job_name": "<string>",
"target_uri": "<string>",
"body": {},
"selected_days": ["<string>"],
"hour": 123,
"minute": 123,
"timezone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
job_name: '<string>',
target_uri: '<string>',
body: JSON.stringify({}),
selected_days: ['<string>'],
hour: 123,
minute: 123,
timezone: '<string>'
})
};
fetch('https://api.example.com/api/core/data_sync/{use_case_id}/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}data-sync
Create scheduled sync job
Create a new scheduled synchronization job
POST
/
api
/
core
/
data_sync
/
{use_case_id}
/
schedule
Create scheduled sync job
Authorizations
BearerAuthAuthorizationProvider
Bearer token authentication. Format: 'Bearer '
Path Parameters
Body
application/json
Response
Successful Response
Was this page helpful?
⌘I

